Skip to main content
POST
/
api
/
v1
/
vendors
/
{vendorId}
/
organizations
/
{organizationId}
/
sip
/
credentials
/
{sipCredentialsId}
/
phone-numbers
Create SIP Phone Number
curl --request POST \
  --url https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations/{organizationId}/sip/credentials/{sipCredentialsId}/phone-numbers \
  --header 'Content-Type: application/json' \
  --data '
{
  "phoneNumber": "0049123456789",
  "fallback": true
}
'
import requests

url = "https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations/{organizationId}/sip/credentials/{sipCredentialsId}/phone-numbers"

payload = {
"phoneNumber": "0049123456789",
"fallback": True
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({phoneNumber: '0049123456789', fallback: true})
};

fetch('https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations/{organizationId}/sip/credentials/{sipCredentialsId}/phone-numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "timestamp": "2025-04-17T14:23:30Z",
  "message": "<string>",
  "data": {
    "id": "a46ccb36-3bd1-49e5-b36e-d1851c3a63ab",
    "phoneNumber": "0049123456789",
    "fallback": true
  },
  "traceId": "<string>"
}

Path Parameters

vendorId
string
required

ID of the Vendor (UUID)

organizationId
string
required

ID of the Organization (UUID)

sipCredentialsId
string
required

ID of the SIP Credentials (UUID)

Body

application/json
phoneNumber
string
required

Phone number

Example:

"0049123456789"

fallback
boolean

Flag for fallback phone number

Example:

true

Response

Phone number created successfully

Standard API response wrapper

success
boolean
required

Indicates if the request was successful

Example:

true

timestamp
string<date-time>
required

Response timestamp in ISO-8601 format

Example:

"2025-04-17T14:23:30Z"

message
string

Human-readable message

data
object

Payload data object

traceId
string

Correlation or trace ID